tesma Platform API

Applies an update to the lease schedule with the given lease schedule number.

patch
https://api.tesma.com/v1/leases/{leaseCompanyNumber}/{leaseScheduleId}

Path Parameters

leaseCompanyNumberinteger(int32)required

The lease company number.

>= 1

leaseScheduleIdinteger(int32)required

The lease schedule id.

>= 1

Headers

CorporateGroup-Namestring

Corporate group key that assigns the currently selected corporate group to the request.

Body

The patch object containing the updates.

LeaseSchedulePatchRequest

* Additional properties are NOT allowed.
leaseOrderNumbernull | string

Match pattern:^((?!(<[sS][cC][rR][iI][pP][tT]|\[\%|%\]))(.|\s))*$

>= 0 characters<= 30 characters

locationOfInstallationnull | string

Match pattern:^((?!(<[sS][cC][rR][iI][pP][tT]|\[\%|%\]))(.|\s))*$

>= 0 characters<= 30 characters

Response

OK

patch/v1/leases/{leaseCompanyNumber}/{leaseScheduleId}

Body

{}
 

LeaseScheduleAssetPatch

Applies the given updates to the lease assets identified only by their asset id.

patch
https://api.tesma.com/v1/leases/assets

Headers

CorporateGroup-Namestring

Corporate group key that assigns the currently selected corporate group to the request.

Body

A List of asset patch data.

* Additional properties are NOT allowed.
assetIdinteger(int64)
assetStatusIdnull | integer(int32)
costCenternull | string

Match pattern:^((?!(<[sS][cC][rR][iI][pP][tT]|\[\%|%\]))(.|\s))*$

>= 0 characters<= 256 characters

customerSpecificFieldsnull
locationnull | string

Match pattern:^((?!(<[sS][cC][rR][iI][pP][tT]|\[\%|%\]))(.|\s))*$

>= 0 characters<= 256 characters

locationOfInstallationnull | string

Match pattern:^((?!(<[sS][cC][rR][iI][pP][tT]|\[\%|%\]))(.|\s))*$

>= 0 characters<= 256 characters

orderNumbernull | string

Match pattern:^((?!(<[sS][cC][rR][iI][pP][tT]|\[\%|%\]))(.|\s))*$

>= 0 characters<= 256 characters

serialNumbernull | string

Match pattern:^((?!(<[sS][cC][rR][iI][pP][tT]|\[\%|%\]))(.|\s))*$

>= 0 characters<= 30 characters

Response

application/json

Accepted

AssetBulkJobResponse

* Additional properties are NOT allowed.
assetsSuccessfullyUpdatednull | integer(int32)
assetsTotalinteger(int32)
createDatestring(date-time)
endDatenull | string(date-time)
errorsnull | array[object]
* Additional properties are NOT allowed.
Show Child Parameters
idinteger(int32)
startDatenull | string(date-time)
statusstring

Allowed values:notStartedvalidatinginProgresssuccessfulpartiallySuccessfulfailedfailedPotentiallyInconsistent

patch/v1/leases/assets

Body

[ {} ]
 
application/json

Gets the current status of a bulk lease asset patch request

get
https://api.tesma.com/v1/leases/assets/bulkpatches/{bulkJobId}

Path Parameters

bulkJobIdinteger(int32)required

The id of the bulk job

>= 1

Headers

CorporateGroup-Namestring

Corporate group key that assigns the currently selected corporate group to the request.

Response

application/json

OK

AssetBulkJobResponse

* Additional properties are NOT allowed.
assetsSuccessfullyUpdatednull | integer(int32)
assetsTotalinteger(int32)
createDatestring(date-time)
endDatenull | string(date-time)
errorsnull | array[object]
* Additional properties are NOT allowed.
Show Child Parameters
idinteger(int32)
startDatenull | string(date-time)
statusstring

Allowed values:notStartedvalidatinginProgresssuccessfulpartiallySuccessfulfailedfailedPotentiallyInconsistent

get/v1/leases/assets/bulkpatches/{bulkJobId}
 
application/json

LeaseScheduleAssets